From 540c08cfbd6d8e3f80266f734dfa7855a7bea727 Mon Sep 17 00:00:00 2001
From: Nicolas Porcel <nicolasporcel06@gmail.com>
Date: Sun, 8 Jul 2018 04:01:13 +0200
Subject: [PATCH] Fix signal handling for shutdown

---
 src/sshguard.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/sshguard.in b/src/sshguard.in
index 5537cd7..f256808 100644
--- a/src/sshguard.in
+++ b/src/sshguard.in
@@ -3,7 +3,8 @@
 
 # Unregister recursive SIGTERM, and make sure to kill
 # entire process group (subshell) on exit/interrupts.
-trap "trap - TERM && kill 0" INT TERM EXIT
+trap "exit" INT TERM
+trap "kill 0" EXIT
 
 libexec="@libexecdir@"
 version="@sshguardversion@"
@@ -96,4 +97,5 @@ elif [ -z "$tailcmd" ]; then
 fi
 
 eval $tailcmd | $libexec/sshg-parser | \
-    $libexec/sshg-blocker $flags | ($BACKEND; kill -PIPE $$)
+    $libexec/sshg-blocker $flags | $BACKEND &
+wait
-- 
2.10.5

